# Note that this is NOT a relocatable package
%define ver      0.15
%define rel      6
%define prefix   /usr

Summary: Enlightenment Configuration applet.
Name: enlightenment-conf
Version: %ver
Release: %rel
Copyright: GPL
Group: User Interface/Desktops
Source: ftp://www.rasterman.com/pub/enlightenment/enlightenment-conf-%{ver}.tar.gz
BuildRoot: /var/tmp/e-conf-%{PACKAGE_VERSION}-root

URL: http://www.rasterman.com
Docdir: %{prefix}/doc
Requires: control-center >= 1.0.0

Patch: enlightenment-conf-0.15-keybind.patch
Patch1: enlightenment-conf-0.15-spelling.patch

%description
A Configuration tool for easily setting up Enlightenment

%changelog

* Tue May 25 1999 Michael Fulbright <drmike@redhat.com>
- fixed typos in desktop configuration

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Tue Feb 23 1999 The Rasterman <raster@redhat.com>
- Updated to 0.14

* Wed Feb 3 1999 The Rasterman <raster@redhat.com>
- Created for new E-conf standalone module

%prep
%setup -q
%patch -p1 -b .noscrollbar
%patch1 -p1 -b .spelling

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

# strip binaries
strip `file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/executable/ { print $1 }'`


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/locale/*/*/*
